//
// Created by sbn on 2/4/24.
//

#ifndef LidarPerceptionPubDataWrapper_WRAPPER_HEADER_H
#define LidarPerceptionPubDataWrapper_WRAPPER_HEADER_H

#include "pub/PubDataWrapper.h"
#include "lidar_perception/executable.h"

template<typename EventType>
class LiDARPerception2Fusion_PubDataWrapper : public PubDataWrapper<EventType> {

private:
    perception::LiDARPerception2Fusion _data;
public:

    void GetData(ara::com::SampleAllocateePtr<EventType>& data) override {
         data = std::move(_data);
         data = std::make_unique<perception::LiDARPerception2Fusion>(std::move(_data));
    }
    void SetData(perception::LiDARPerception2Fusion& data)
    {
        _data = std::move(data);
    }
};


#endif //LidarPerceptionPubDataWrapper_WRAPPER_HEADER_H
